<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Simple DOM example</title>
</head>

<body>
    <section>
        <img src="dinosaur.png"
            alt="A red Tyrannosaurus Rex: A two legged dinosaur standing upright like a human, with small arms, and a large head with lots of sharp teeth.">
        <p>Here we will add a link to the <a href="https://www.mozilla.org/">Mozilla homepage</a></p>
    </section>
    <script>
            // sélectionner cet élément et stocker une référence à cet élément dans une variable
        const link = document.querySelector('a');
            // changeons le texte du lien en mettant à jour la valeur de la propriété
        link.textContent = 'Mozilla Developer Network';
            // modifier l'URL ciblée par le lien
        link.href = 'https://developer.mozilla.org';

            // commençons par récupérer une référence à notre élément
        var sect = document.querySelector('section');
            // créer un nouveau paragraphe
        var para = document.createElement('p');
        para.textContent = 'We hope you enjoyed the ride';
            // ajouter ce paragraphe au bas de la section
        Node.appendChild(para);
            // ajoutons un nœud texte au premier paragraphe, pour finir la phrase joliment
        var text = document.createTextNode(' — the premier source for web development knowledge.');
            // récupéré une référence au premier paragraphe, ajoutons-y le nœud texte
        var linkPara = document.querySelector('p');
        linkPara.appendChild(text);
    </script>
</body>

</html>